********************************************************************************
*                                                                              * 
*  2DHF version 1-2003                                                         *
*  Copyright (C) 1996  Jacek Kobus, Leif Laaksonen, Dage Sundholm              *
*                                                                              *
*  This software may be used and distributed according to the terms            *
*  of the GNU General Public License, see README and COPYING.                  *
*                                                                              *
********************************************************************************
c ### zmultii ###	
c
      subroutine zmultii(ixa,pot)
      implicit integer*4 (i-n)
      implicit real*8 (a-h,o-z)
      include 'commons8.inc'
      dimension pot(*),dome(10)

c      do j=nmulast+1,mxnmu
      do j=mxnmu-3,mxnmu
         itt=(j-1)*nni
         do i=1,nni
            kk=i+itt
            rr=sqrt(vxisq(j)+vetasq(i)-1.d0)
            cost=veta(i)*vxi(j)/rr
            rr1=1.d0/(rr*r2)

            dome(1)=cost
            dome(2)=(3.d0*cost*cost-1.d0)*5.d-01
            do n=2,(impole-1)
               dome(n+1)=(dble(2*n+1)*cost*dome(n)-dble(n)*
     &              dome(n-1))/dble(n+1)
            enddo

            pe=0.d0
            do m=1,impole
               kxk=ixa+(m-1)*norb
               pe=pe+cmulti(kxk)*dome(m)*(rr1**dble(m+1))
            enddo 
            pot(kk)=r2*vxi(j)*(pe+rr1)	  
         enddo
      enddo
      return
      end
